## eckit 1.29.1+really.1.28.7

=== etc/eckit/CMakeLists.txt ===
add_subdirectory(geo)
