=== tests/testing/CMakeLists.txt ===
ecbuild_add_test( TARGET   eckit_test_testing
                  SOURCES  test_testing.cc
                  LIBS     eckit )
