=== debian/changelog ===
eckit (1.29.1+really.1.28.7-1) unstable; urgency=medium

  * Upload to remove 1.29.1 from unstable for trixie processing.
    Closes: #1103183, #1104354, #1104355, #1104373

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 May 2025 12:49:22 +0100
