=== debian/control ===
Source: eckit
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  architecture-is-64-bit,
  ecbuild (>= 3.6.1-1~),
  chrpath,
  flex,
  bison,
  libopenblas-dev [ !alpha !hurd-amd64 ],
  libblas-dev [ !amd64 !arm64 !mips64el !ppc64el !s390x !ppc64 ],
  liblapack-dev [ !amd64 !arm64 !mips64el !ppc64el !s390x !ppc64],
  libaec-dev,
  libxxhash-dev,
  libjemalloc-dev,
  librados-dev,
  libradospp-dev,
  libproj-dev, 
  libbz2-dev,
  liblz4-dev,
  libeigen3-dev,
  libsnappy-dev,
  librsync-dev,
  libqhull-dev,
  mpi-default-dev,
  doxygen,
  python3-all,
  libssl-dev,
  libcurl4-gnutls-dev (>=  7.20),
  libncurses-dev
Standards-Version: 4.7.2
Homepage: https://github.com/ecmwf/eckit
Vcs-Git: https://salsa.debian.org/science-team/eckit.git -b debian/latest

Package: libeckit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeckit0d (= ${binary:Version}), libeckit-utils (= ${binary:Version}),
  mpi-default-dev,
  libaec-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
  libxxhash-dev,
  libjemalloc-dev,
  libsnappy-dev,
  liblz4-dev,
  libbz2-dev,
  libeigen3-dev,
  libopenblas-dev [ amd64 arm64 mips64el ppc64el s390x ppc64],
  libblas-dev [ !amd64 !arm64 !mips64el !ppc64el !s390x !ppc64],
  liblapack-dev [ !amd64 !arm64 !mips64el !ppc64el !s390x !ppc64],
  ${shlibs:Depends}, ${misc:Depends}
Description: C++ toolkit for ECMWF tools and applications
 ecKit is a cross-platform c++ toolkit that supports development of tools and
 applications at ECMWF. It is based on code developed over the last 20 years
 within the MARS software and was re-factored out to be reused by other
 applications. The main focus is UNIX/POSIX systems, and it has been thoroughly
 tested on AIX, Linux and Mac OSX. Historically, the code base pre-dates and in
 some way can be seen as a leaner substitute for some 'Boost' libraries.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeckit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ toolkit for ECMWF tools and applications
 ecKit is a cross-platform c++ toolkit that supports development of tools and
 applications at ECMWF. It is based on code developed over the last 20 years
 within the MARS software and was re-factored out to be reused by other
 applications. The main focus is UNIX/POSIX systems, and it has been thoroughly
 tested on AIX, Linux and Mac OSX. Historically, the code base pre-dates and in
 some way can be seen as a leaner substitute for some 'Boost' libraries.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeckit-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, libeckit0d ( = ${binary:Version}),  ${shlibs:Depends}
Recommends: libeckit-dev
Description: C++ toolkit for ECMWF tools and applications - development files
 ecKit is a cross-platform c++ toolkit that supports development of tools and
 applications at ECMWF. It is based on code developed over the last 20 years
 within the MARS software and was re-factored out to be reused by other
 applications. The main focus is UNIX/POSIX systems, and it has been thoroughly
 tested on AIX, Linux and Mac OSX. Historically, the code base pre-dates and in
 some way can be seen as a leaner substitute for some 'Boost' libraries.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
