## eckit 1.30.0

=== debian/changelog ===
eckit (1.30.0-1) experimental; urgency=medium

  * New upstream release
  * Set HAVE_TESTS=off

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jun 2025 10:56:39 +0100

ckit (1.29.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 May 2025 16:18:05 +0100

eckit (1.29.1-1) unstable; urgency=medium

  * New upstream release
  * compile-fix.patch for ZIP support needed
  * Build-dep on libzip-dev and libshp-dev
  * zip.patch: Needed for geo to compile
  * No longer ship etc directory; ship /usr/share/eckit/*

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 15:28:31 +0100
